document.querySelectorAll("div[class^='language']").forEach((node) => {
    node.querySelector("pre").dataset.lang = node.getAttribute("class").replace(/(language-| |highlighter-rouge)/g, "");
});

document.querySelector(".sidebar-toggle").addEventListener("click", () => {
    document.body.classList.toggle("close");
});

window.addEventListener("scroll", () => {
    document.querySelector(".progress").style.width = (document.documentElement.scrollTop / (document.body.scrollHeight - document.documentElement.clientHeight)) * 100 + "%";
});